// Code generated by mockery v2.52.2. DO NOT EDIT.

package patch

import (
	mock "github.com/stretchr/testify/mock"
	libpatch "gitlab.com/gitlab-com/gl-infra/ringctl/lib/patch"
)

// MockStatusConverter is an autogenerated mock type for the StatusConverter type
type MockStatusConverter struct {
	mock.Mock
}

type MockStatusConverter_Expecter struct {
	mock *mock.Mock
}

func (_m *MockStatusConverter) EXPECT() *MockStatusConverter_Expecter {
	return &MockStatusConverter_Expecter{mock: &_m.Mock}
}

// Status2Icon provides a mock function with given fields: status
func (_m *MockStatusConverter) Status2Icon(status libpatch.Status) string {
	ret := _m.Called(status)

	if len(ret) == 0 {
		panic("no return value specified for Status2Icon")
	}

	var r0 string
	if rf, ok := ret.Get(0).(func(libpatch.Status) string); ok {
		r0 = rf(status)
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// MockStatusConverter_Status2Icon_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'Status2Icon'
type MockStatusConverter_Status2Icon_Call struct {
	*mock.Call
}

// Status2Icon is a helper method to define mock.On call
//   - status libpatch.Status
func (_e *MockStatusConverter_Expecter) Status2Icon(status interface{}) *MockStatusConverter_Status2Icon_Call {
	return &MockStatusConverter_Status2Icon_Call{Call: _e.mock.On("Status2Icon", status)}
}

func (_c *MockStatusConverter_Status2Icon_Call) Run(run func(status libpatch.Status)) *MockStatusConverter_Status2Icon_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(libpatch.Status))
	})
	return _c
}

func (_c *MockStatusConverter_Status2Icon_Call) Return(_a0 string) *MockStatusConverter_Status2Icon_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockStatusConverter_Status2Icon_Call) RunAndReturn(run func(libpatch.Status) string) *MockStatusConverter_Status2Icon_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockStatusConverter creates a new instance of MockStatusConverter. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockStatusConverter(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockStatusConverter {
	mock := &MockStatusConverter{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
